#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

// Custom NSError Subclasses
@interface PhotomatixException : NSError
- (instancetype)initWithMessage:(NSString *)message;
@end

@interface InvalidImageException : PhotomatixException
@end

@interface OutOfMemoryException : PhotomatixException
@end

NS_ASSUME_NONNULL_END

